List media
Returns the files in the media library, newest first. Search by file name or alt text, or filter by kind of file.
curl -X GET "https://api.documentationai.app/api/v1/media?search=example_string&kind=image&page=1&limit=20" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.documentationai.app/api/v1/media?search=example_string&kind=image&page=1&limit=20"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.documentationai.app/api/v1/media?search=example_string&kind=image&page=1&limit=20", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.documentationai.app/api/v1/media?search=example_string&kind=image&page=1&limit=20", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.documentationai.app/api/v1/media?search=example_string&kind=image&page=1&limit=20')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"media": [
{
"id": "4c1d8a2e-7b3f-4f0a-9d6e-2a5b8c7e1f03",
"name": "setup-diagram.png",
"kind": "image",
"mimeType": "image/png",
"sizeBytes": 184233,
"url": "https://blob-cdn.documentation.ai/.../setup-diagram.png",
"altText": "Setup steps diagram",
"width": 1440,
"height": 900,
"durationSeconds": 42,
"pageCount": 25,
"posterUrl": "example_string",
"createdAt": "2026-09-17T10:00:00.000Z",
"updatedAt": "2026-09-17T10:00:00.000Z",
"snippet": "<Image src="https://blob-cdn.documentation.ai/.../setup-diagram.png" alt="Setup steps diagram" />"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please try again later",
"code": 429,
"retryAfter": 3600
}
GET
/media
GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredAPI key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as
Authorization: Bearer dai_...query
searchstring
Text to find in the file name or alt text, ignoring case
query
kindstring
Return only one kind of file
Options: image, video, audio, document, data, archive, font
query
pageinteger
Page of results to return
Min: 1
query
limitinteger
Files per page, up to 100
Min: 1 • Max: 100
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
Query Parameters
searchstring
Text to find in the file name or alt text, ignoring case
pageinteger
Page of results to return
limitinteger
Files per page, up to 100
Responses
mediaarray
paginationobject
Was this page helpful?